Name:           garmindev
Version:        0.3.4
Release:        9%{?dist}
Summary:        Drivers for communication with Garmin GPS devices

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
Source0:        http://downloads.sourceforge.net/qlandkartegt/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       %{name}(interface) = 1.18

BuildRequires:  cmake libusb-devel


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q

mkdir build


%build
cd build
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%cmake ..
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/qlandkartegt


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul  4 2010 Dan Horák <dan[at]danny.cz> 0.3.4-1
- update to version 0.3.4

* Sun Feb  6 2010 Dan Horák <dan[at]danny.cz> 0.3.3-1
- update to version 0.3.3

* Tue Jan 26 2010 Dan Horák <dan[at]danny.cz> 0.3.2-1
- update to version 0.3.2

* Wed Dec 23 2009 Dan Horák <dan[at]danny.cz> 0.3.1-1
- update to version 0.3.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Dan Horák <dan[at]danny.cz> 0.3.0-1
- update to version 0.3.0

* Wed Apr 15 2009 Dan Horák <dan[at]danny.cz> 0.1.1-1
- update to version 0.1.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090208svn1152
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Dan Horák <dan[at]danny.cz> 0-0.3.20090208svn1152
- update to revision 1152 - adds support for eTrex LegendHCx, eTrexH, eTrex Legend

* Wed Nov 19 2008 Dan Horák <dan[at]danny.cz> 0-0.2.20081117svn928
- provide garmindev(interface) = 1.15 for correct interraction with QLandkarteGT

* Mon Nov 17 2008 Dan Horák <dan[at]danny.cz> 0-0.1.20081117svn928
- initial Fedora version
